# Packable

#### Packable()
Core/Packable.js 17

  Static interface for types which can store their values as packed elements in an array. These methods and properties are expected to be defined on a constructor function.

  ##### See:

  - PackableForInterpolation

### Members

#### staticCesium.Packable.packedLength : Number
Core/Packable.js 22

  The number of elements used to pack the object into an array.

### Methods

#### staticCesium.Packable.pack(value, array, startingIndex)
Core/Packable.js 32

  Stores the provided instance into the provided array.

  Name | Type | Default | Description
  --- | --- | --- | ---
  `value` | Object |  | The value to pack.
  `array` | Array.<Number> |  | The array to pack into.
  `startingIndex` | Number | `0` | optional The index into the array at which to start packing the elements.

#### staticCesium.Packable.unpack(array, startingIndex, result) → Object
Core/Packable.js 43

  Retrieves an instance from a packed array.

  Name | Type | Default | Description
  --- | --- | --- | ---
  `array` | Array.<Number> |  | The packed array.
  `startingIndex` | Number | `0` | optional The starting index of the element to be unpacked.
  `result` | Object |  | optional The object into which to store the result.

  ##### Returns:

  The modified result parameter or a new Object instance if one was not provided.